PHP知识、源码、教程、框架、程序分享! -- PHP社区 关于我们 联系我们 联系电话 联系QQ

不同版本的Mysql数据库兼容性问题

发表时间:2013-08-31 点击:

[本文摘要]:不同版本的 Mysql 数据库兼容性问题 alpha表示该版本是在发展过程中的阵痛与新功能甚至不相容的变化是可以预期的。虽然一个alpha版本直到它不包含已知错误发表,这是极有可能的,许...

不同版本的Mysql数据库兼容性问题

•alpha表示该版本是在发展过程中的阵痛与新功能甚至不相容的变化是可以预期的。虽然一个alpha版本直到它不包含已知错误发表,这是极有可能的,许多未被发现的错误仍然潜伏在。数据的一个alpha版本测试中的损失是很有可能的!alpha版本才感兴趣的开发者希望尝试MySQL的新特点。

•Beta意味着这个版本已经基本完成,但还没有被彻底的测试。主要的变化是不期望。

•Gamma意味着测试版本或多或少变得更加稳定。现在的目标是为了发现错误并解决它们。

•开发或一般可用(GA)意味着开发商有这样的印象,MySQL版本足够成熟和稳定,可用于关键任务的目的。

根据MySQL的文档,在开发版本,只更正,并没有新的功能,是可以预期的。然而,这并不总是受到过去的真实,甚至与稳定的版本有实质性变动。特别值得注意的是,MySQL 3.23例。联合国后的版本已被宣布稳定(3.23.32),有了InnoDB和BDB表一般支持(3.23.34),后来,InnoDB表完整性规则(3.23.44)。此外,许多小的扩展进行了介绍。作为一项规则,MySQL开发者很满意这样的扩展,但在同一时间,不同的开发版本之间的兼容性问题会出现。

在实践中,这意味着一个新的MySQL版本(即,n.n.0)总是有身份的alpha更高版本号的地位上升,Beta,Gamma,和最后开发正常的MySQL用户应该使用专门的MySQL版本有开发现状。

如果你正在开发的Web应用程序,你应该找出哪个版本的Internet服务提供商使用。(由于因特网服务提供商concernced维护稳定,他们一般不喜欢使用最新的版本,而早期的版本,可能不包含许多功能的较新版本。)

如果你想尝试一个开发版本,没有可用的编写格式(因此没有达到阿尔法状态),下载和编译源代码指令,可在http://dev.mysql.com/doc/mysql/en/installing-source.html。

版权声明:本文系技术人员研究整理的智慧结晶,转载勿用于商业用途,并保留本文链接,侵权必究!

本文链接:http://php.aixc.cn/database/mysql/85.html

声明:本站技术及源码均为原创,转载请勿用于商业用途,并注明出处及原文链接,侵权必究。